using MemoryPack;

namespace Insight.Domain.Messages.Agent;

[MemoryPackable]
public partial class SystemInfo : IMessage
{
    [MemoryPackOrder(0)]
    public DateTime? LastBootUpTime { get; set; }

    [MemoryPackOrder(1)]
    public DateTime? LocalDateTime { get; set; }

    [MemoryPackOrder(2)]
    public uint? Processes { get; set; }

    [MemoryPackOrder(3)]
    public string? License { get; set; }
}